{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 4,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isFinalSpecialization()Z": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 4,
    "Lorg/eclipse/uml2/uml/internal/operations/StereotypeOperations.getProfile(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/uml2/uml/Profile;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedBehaviors()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRedefinedElements()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.basicGetClassifierBehavior()Lorg/eclipse/uml2/uml/Behavior;": 4,
    "Lorg/eclipse/uml2/uml/internal/operations/ComponentOperations.getRequireds(Lorg/eclipse/uml2/uml/Component;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 4,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectWithInverseResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 4,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ComponentOperations.getProvideds(Lorg/eclipse/uml2/uml/Component;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getParts()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getFeatures()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getCollaborationUses()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedTemplateSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRedefinitionContexts()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getNestedClassifiers()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetPackage()Lorg/eclipse/uml2/uml/Package;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getClassifierBehavior()Lorg/eclipse/uml2/uml/Behavior;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getUseCases()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwnedTemplateSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 4,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedReceptions()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPackage()Lorg/eclipse/uml2/uml/Package;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 4,
    "Lorg/eclipse/uml2/uml/internal/operations/AssociationOperations.getEndTypes(Lorg/eclipse/uml2/uml/Association;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getExtensions()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getInterfaceRealizations()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/EncapsulatedClassifierImpl.getOwnedPorts()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGeneralizations()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRepresentation()Lorg/eclipse/uml2/uml/CollaborationUse;": 4,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedUseCases()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getMembers()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPowertypeExtents()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getGenerals()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/DeploymentTargetOperations.getDeployedElements(Lorg/eclipse/uml2/uml/DeploymentTarget;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getSuperClasses()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateBindings()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isActive()Z": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetRepresentation()Lorg/eclipse/uml2/uml/CollaborationUse;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedAttributes()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getSubstitutions()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getAttributes()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getRoles()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isLeaf()Z": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRedefinedClassifiers()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getOwnedConnectors()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getInheritedMembers()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedOperations()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isAbstract()Z": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 4,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 4
  }
}